Subject: RE: #Ref 2021012500090357
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 27 Jan 2021 12:25:29 -0800

Hello,

Thank you for your inquiry.  I am sorry you are not able to get through to our CS Team.  Please try again at 1-888-879-8790.

"All orders require at least 48-72 hours for processing; once an order has been processed it is shipped out for delivery.  Delivery can take 8-10 business days"

Regards,

Erlinda

Senior Customer Service Representative

Designer Living

===============================================================================

Have been trying to get I touch with your customer care but it seems like it not available.

So I wanted to purchase a comforter but I need to know how long it would take and where it is shipping from. Because I need to send it to my brother.